summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin Jarry <robin@jarry.cc>2022-06-24 21:41:16 +0200
committerRobin Jarry <robin@jarry.cc>2022-06-24 21:41:45 +0200
commitb5fbe23379f7ed3c9259e210386ea6f442455669 (patch)
tree3d7dab98709f7ce36d05b8b60675522240e239eb
parent830d41c664f8e23200057ec434d9799a484cdc69 (diff)
downloadaerc-b5fbe23379f7ed3c9259e210386ea6f442455669.tar.gz
aerc-b5fbe23379f7ed3c9259e210386ea6f442455669.zip
configurations: split into multiple files
Signed-off-by: Robin Jarry <robin@jarry.cc>
-rw-r--r--configurations/colors.md19
-rw-r--r--configurations/index.md76
-rw-r--r--configurations/notmuch.md62
3 files changed, 83 insertions, 74 deletions
diff --git a/configurations/colors.md b/configurations/colors.md
new file mode 100644
index 00000000..924e4bc6
--- /dev/null
+++ b/configurations/colors.md
@@ -0,0 +1,19 @@
+---
+title: "aerc-wiki: Configurations/Colors"
+---
+
+# Custom plain text filter colours
+
+To configure the
+[colorize](https://git.sr.ht/~rjarry/aerc/tree/master/item/filters/colorize)
+filter to use your preferred colour scheme, you can copy it into your home
+directory and edit it as you wish.
+
+You can then call the edited filter by setting the following in your
+`aerc.conf`.
+
+```ini
+text/plain=awk -f ~/.config/aerc/filters/custom-colorize
+```
+
+- [solarized by Shaleen Jain](https://lists.sr.ht/~rjarry/aerc-devel/patches/30119#%3C20220310045758.228592-1-shaleen@jain.sh%3E+filters/colorize)
diff --git a/configurations/index.md b/configurations/index.md
index b1c4f72e..fec62086 100644
--- a/configurations/index.md
+++ b/configurations/index.md
@@ -2,77 +2,5 @@
title: "aerc-wiki: Configurations"
---
-# Custom plain text filter colours
-
-To configure the
-[colorize](https://git.sr.ht/~rjarry/aerc/tree/master/item/filters/colorize)
-filter to use your preferred colour scheme, you can copy it into your home
-directory and edit it as you wish.
-
-You can then call the edited filter by setting the following in your
-`aerc.conf`.
-
-```ini
-text/plain=awk -f ~/.config/aerc/filters/custom-colorize
-```
-
-- [solarized by Shaleen Jain](https://lists.sr.ht/~rjarry/aerc-devel/patches/30119#%3C20220310045758.228592-1-shaleen@jain.sh%3E+filters/colorize)
-
-# Emulating copy-to for the notmuch backend
-
-Currently, the notmuch backend does not support the `copy-to` setting in
-`accounts.conf`.
-
-One way to work around this is to leverage `notmuch insert`. It works by
-inserting the email being sent in the notmuch database and the maildir backing
-it, which can then be synchronized to the remote IMAP server using your
-favorite IMAP synchronization software.
-
-The following script illustrates how this can be done. Note that it assumes your
-setup uses a directory structure within your main notmuch maildir which consists
-of:
-
-- `$account/sent` for the Sent Emails folder
-- `$account` is also the account name in [msmtp](https://marlam.de/msmtp/)
-
-```shell
-#!/bin/sh
-# XXX: This does not handle encryption
-
-# ensure the script ends whenever a command exits with non-zero status
-set -e
-
-EMAIL=`mktemp --suffix=.eml /tmp/XXXXXX`
-clean_up() {
- rm -f $EMAIL
-}
-
-# The account to be used is given as the first argument of this script
-account=$1
-shift
-
-# ensure clean_up() is called when we exit abnormally
-trap 'clean_up' 0 1 2 3 15
-
-# <stdin> of script gets the email, we save temporarily for using it twice
-cat >$EMAIL
-
-# First try to send the email, as it can cause more problems (i.e., connection)
-# `set -e` prevents the mail from entering the database in case this fails.
-# msmtp could be called with args from aerc, but --read-recipients already does the job
-msmtp --account=$account --read-recipients --read-envelope-from <$EMAIL
-
-# assumes all maildir accounts are configured with a 'sent' directory
-# also make sure to tag it correctly
-notmuch insert --folder=$account/sent -inbox -unread +sent <$EMAIL
-```
-
-If you call this script `aerc-notmuch-send`, the following can be set in
-`accounts.conf` to ensure your emails are copied to your sent folder:
-
-```ini
-[myaccount]
-from = My Name <my@email>
-source = notmuch://YOUR_MAILDIR_PATH/
-outgoing = /path/to/aerc-notmuch-send myaccount
-```
+- [colors](colors.md)
+- [notmuch](notmuch.md)
diff --git a/configurations/notmuch.md b/configurations/notmuch.md
new file mode 100644
index 00000000..8e15c3b7
--- /dev/null
+++ b/configurations/notmuch.md
@@ -0,0 +1,62 @@
+---
+title: "aerc-wiki: Configurations/Notmuch"
+---
+
+# Emulating copy-to for the notmuch backend
+
+Currently, the notmuch backend does not support the `copy-to` setting in
+`accounts.conf`.
+
+One way to work around this is to leverage `notmuch insert`. It works by
+inserting the email being sent in the notmuch database and the maildir backing
+it, which can then be synchronized to the remote IMAP server using your
+favorite IMAP synchronization software.
+
+The following script illustrates how this can be done. Note that it assumes your
+setup uses a directory structure within your main notmuch maildir which consists
+of:
+
+- `$account/sent` for the Sent Emails folder
+- `$account` is also the account name in [msmtp](https://marlam.de/msmtp/)
+
+```shell
+#!/bin/sh
+# XXX: This does not handle encryption
+
+# ensure the script ends whenever a command exits with non-zero status
+set -e
+
+EMAIL=`mktemp --suffix=.eml /tmp/XXXXXX`
+clean_up() {
+ rm -f $EMAIL
+}
+
+# The account to be used is given as the first argument of this script
+account=$1
+shift
+
+# ensure clean_up() is called when we exit abnormally
+trap 'clean_up' 0 1 2 3 15
+
+# <stdin> of script gets the email, we save temporarily for using it twice
+cat >$EMAIL
+
+# First try to send the email, as it can cause more problems (i.e., connection)
+# `set -e` prevents the mail from entering the database in case this fails.
+# msmtp could be called with args from aerc, but --read-recipients already does the job
+msmtp --account=$account --read-recipients --read-envelope-from <$EMAIL
+
+# assumes all maildir accounts are configured with a 'sent' directory
+# also make sure to tag it correctly
+notmuch insert --folder=$account/sent -inbox -unread +sent <$EMAIL
+```
+
+If you call this script `aerc-notmuch-send`, the following can be set in
+`accounts.conf` to ensure your emails are copied to your sent folder:
+
+```ini
+[myaccount]
+from = My Name <my@email>
+source = notmuch://YOUR_MAILDIR_PATH/
+outgoing = /path/to/aerc-notmuch-send myaccount
+```